Taslak Ofsetle

From FreeCAD Documentation
Revision as of 12:05, 7 January 2019 by Skywalker21 (talk | contribs) (Created page with "== Nasıl Kullanılır ==")

Ofsetle

Menü konumu
Taslak → Ofsetle
Tezgahlar
Taslak, Yapı
Varsayılan kısayol
O S
Versiyonda tanıtıldı
-
Ayrıca bkz
Parça 2D ofset

Tanım

Ofset aracı seçilen nesneyi mevcut Çalışma düzlemi üzerinde belirli bir mesafeye göre dengeler. Hiçbir nesne seçilmezse, birini seçmeye davet edilirsiniz.

Nasıl Kullanılır

  1. Select objects you wish to offset
  2. Press the Draft Offset button, or press O then S keys
  3. Click a point on the 3D view, or type a distance.

Options

  • Press T or click the checkbox to check/uncheck the Continue button. If continue mode is on, the Offset tool will restart after you finish or close it, allowing you to offset or copy the objects another time without pressing the Offset button again.
  • Pressing ALT or C or clicking the Copy button will make a copy of the objects, instead of moving them. If you keep ALT pressed after clicking the second point, you will be able to place more copies, until you release the ALT key.
  • Press CTRL while drawing to force snapping your point to the nearest snap location, independently of the distance.
  • Pressing SHIFT will constrain you to the current segment, instead of picking the closest one.
  • Press ESC or the Cancel button to abort the current command.

Scripting

The Offset tool can by used in macros and from the python console by using the following function:

offset (object,Vector,[copymode],[bind],[sym])
  • Offsets the given wire by applying the given Vector to its first vertex.
  • If copymode is True, another object is created, otherwise the same object gets offsetted.
  • If bind is True, and provided the wire is open, the original and the offsetted wires will be bound by their endpoints, forming a face.
  • If sym is True, the offset is made on both sides, the total width being the length of the given vector.
  • Returns the offsetted object (or its copy if copymode as True).

Example:

import FreeCAD,Draft
Draft.offset(FreeCAD.ActiveDocument.ActiveObject,FreeCAD.Vector(2,2,0))